from .float_setter import FloatSetter
import rclpy
from std_msgs.msg import Float32
class MoveForward(FloatSetter):
    def __init__(self):
        super().__init__('MoveForward', 'linear_x', 0.1, duration=2.0)


def main(args=None):
    rclpy.init(args=args)
    MoveForward_behavior = MoveForward()
    rclpy.spin(MoveForward_behavior)
    MoveForward_behavior.destroy_node()
    rclpy.shutdown()

if __name__ == '__main__':
    main()