import rclpy
from .float_setter import FloatSetter
from std_msgs.msg import Float32

class MoveUp(FloatSetter):
    def __init__(self):
        super().__init__('MoveUp', 'linear_z', -0.1, duration=2.0)

def main(args=None):
    rclpy.init(args=args)
    move_up_behavior = MoveUp()
    rclpy.spin(move_up_behavior)
    move_up_behavior.destroy_node()
    rclpy.shutdown()

if __name__ == '__main__':
    main()
