from .float_setter import FloatSetter
import rclpy
class MoveLeft(FloatSetter):
    def __init__(self):
        super().__init__('MoveLeft', 'linear_y', -0.1, duration=2.0)

def main(args=None):
    rclpy.init(args=args)
    MoveLeft_behavior = MoveLeft()
    rclpy.spin(MoveLeft_behavior)
    MoveLeft_behavior.destroy_node()
    rclpy.shutdown()

if __name__ == '__main__':
    main()