from .float_setter import FloatSetter
import rclpy
class TurnLeft(FloatSetter):
    def __init__(self):
        super().__init__('TurnLeft', 'angular_z', -0.5, duration=2.0)

def main(args=None):
    rclpy.init(args=args)
    TurnLeft_behavior = TurnLeft()
    rclpy.spin(TurnLeft_behavior)
    TurnLeft_behavior.destroy_node()
    rclpy.shutdown()

if __name__ == '__main__':
    main()